Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040665
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-04-24 09:412019-05-14 09:33
ReporterguilleaerView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040665: [SKIN project] - Mobile APPs CSSs are loaded before dependant LIBs CSSs -- Skin CSSs should be loaded after LIBs and APPs CSSs

DescriptionCSS Styles loaded in mobile APPs are loaded before css styles of libraries.
 - We need to do hacks to overwrite styles defined in libraries and it shouldn't be required

In the future, web POS will be skinnable. To do that external modules will generate a CSS file with the skin. This CSSs file should be loaded at the end of the css resources.
Steps To ReproduceN/A
Proposed SolutionN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111255)
guilleaer (developer)
2019-04-24 09:44
edited on: 2019-05-14 11:21

https://code.openbravo.com/erp/pmods-branches/org.openbravo.mobile.core-skinnable/rev/9946ea98181f [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.mobile.core-skinnable/rev/347029f4c78e [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.mobile.core-skinnable/rev/caa78736cee0 [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.retail.posterminal-skinnable/rev/e4d25e3a3043 [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.retail.posterminal-skinnable/rev/2b27859ae9f0 [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.mobile.core-skinnable/rev/62e5405d8338 [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.mobile.core-skinnable/rev/febdd1b96e69 [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.mobile.core-skinnable/rev/b82d9734080f [^]

(0111650)
guilleaer (developer)
2019-05-14 07:41

Finally, after discuss with platform we have decides not to include a new type of resource for skin

- Issue History
Date Modified Username Field Change
2019-04-24 09:41 guilleaer New Issue
2019-04-24 09:41 guilleaer Assigned To => guilleaer
2019-04-24 09:41 guilleaer Triggers an Emergency Pack => No
2019-04-24 09:42 guilleaer File Added: patchPiWebPosSkin.diff
2019-04-24 09:44 guilleaer Status new => scheduled
2019-04-24 09:44 guilleaer Note Added: 0111255
2019-04-24 09:44 guilleaer Status scheduled => resolved
2019-04-24 09:44 guilleaer Fixed in Version => RR19Q3
2019-04-24 09:44 guilleaer Resolution open => fixed
2019-04-24 11:29 guilleaer Note Edited: 0111255 View Revisions
2019-04-24 16:15 guilleaer File Added: patchPiWebPosSkin_V2.diff
2019-04-24 17:01 guilleaer Note Edited: 0111255 View Revisions
2019-05-02 12:25 guilleaer Note Edited: 0111255 View Revisions
2019-05-14 07:40 guilleaer File Deleted: patchPiWebPosSkin_V2.diff
2019-05-14 07:40 guilleaer File Deleted: patchPiWebPosSkin.diff
2019-05-14 07:41 guilleaer Note Added: 0111650
2019-05-14 07:53 guilleaer Note Edited: 0111255 View Revisions
2019-05-14 07:54 guilleaer Note Edited: 0111255 View Revisions
2019-05-14 09:33 guilleaer Status resolved => new
2019-05-14 09:33 guilleaer Resolution fixed => open
2019-05-14 09:33 guilleaer Fixed in Version RR19Q3 =>
2019-05-14 09:33 guilleaer Status new => scheduled
2019-05-14 09:33 guilleaer Summary Mobile APPs CSSs are loaded before dependant LIBs CSSs -- Skin CSSs should be loaded after LIBs and APPs CSSs => [SKIN project] - Mobile APPs CSSs are loaded before dependant LIBs CSSs -- Skin CSSs should be loaded after LIBs and APPs CSSs
2019-05-14 11:21 guilleaer Note Edited: 0111255 View Revisions


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker